#!/bin/bash

# The following variables must be adjusted to your system.
#  JENA_LIBS is mandatory; JAVA_RDFa_JAR and HTMLPARSER_JAR are optional
JENA_LIBS=/home/olaf/AdditionalSoftware/Jena/lib
# BSBM_JAR=/home/olaf/AdditionalSoftware/src/svn_BSBMTools/lib/bsbm.jar
SQUIN_JAR=/home/olaf/AdditionalSoftware/src/svn_SQUIN/trunk/dist/lib/squin-0.1.5-SNAPSHOT.jar

SQUINBENCHMARK_ROOT=${0%/*}/..

SEP=':'
if [ "$(uname)" = "Cygwin" ]; then SEP=';'; fi

for jar in "$JENA_LIBS"/*.jar
do
  if [ ! -e "$jar" ]; then continue; fi
  CP="$CP$SEP$jar"
done

# if [ -e "$BSBM_JAR" ] ; then CP="$CP$SEP$BSBM_JAR"; fi

if [ -e "$SQUIN_JAR" ] ; then CP="$CP$SEP$SQUIN_JAR"; fi

for jar in "$SQUINBENCHMARK_ROOT"/dist/lib/squin*.jar
do
  if [ ! -e "$jar" ]; then continue; fi
  CP="$CP$SEP$jar"
done

exec java -cp "$CP" -Xms5120m -Xmx5120m org.squin.benchmark.util.PrepareDataset "$@"